/**
 * @file Problema4.cpp
 * @author Caleb Tomas Camargo Saavedra (caleb.camargo.s@uni.pe)
 * @brief exercise 4
 * @version 1.0
 * @date 04/02/2022
 * 
 */


/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include <math.h>
using namespace std;
/*******************************************************************************************************************************************
 *  												GLOBAL VARIABLES
 *******************************************************************************************************************************************/
int minutes_input;
int hours_output;
int days_output;
int minutes_output;

/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
void calculus();
void collect_Data();
void Show_results();
void Run();
/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
int main(){
Run();
}
/*******************************************************************************************************************************************
 *  												FUNCTION DEFINITION
 *******************************************************************************************************************************************/
void collect_Data(){
	cout<<"enter the total minutes: ";
	cin>>minutes_input;
}
void Show_results(){
	cout<<"The final time is : "<<days_output<<"d:"<<hours_output<<"h:"<<minutes_output<<"\n";	
}
void Run(){
	collect_Data();
	calculus();
	Show_results();
    system("pause");
}
void calculus(){
    int hours_local;
    minutes_output=minutes_input%60;
    hours_local=(minutes_input-minutes_output)/60.0;
    hours_output=hours_local%24;
    days_output=(hours_local-hours_output)/24;
    
}
